VERIFIED SOLUTION i

MapInfo Professional: Will I need to install the x64 version of Oracle Instant Client for the x64 version of MapInfo Pro?

If you are using/upgrading to the x64 version of MapInfo Pro and use Oracle Instant Client you will need to use the x64 version of Oracle Instant Client. 

Using the x32 version of Oracle Instant Client will cause compatibility issues.
UPDATED:  August 6, 2019